#ifndef EVENTVIEW_H
#define EVENTVIEW_H
#include <qpe/event.h>
#include <qmainwindow.h>
#include "utils/mytextbrowser.h"
#include "qualendaritem.h"

class EventView : public QWidget {
  Q_OBJECT
 public:
  EventView(QualendarItem, QWidget* parent = 0);

 signals:
  void beamItem(QualendarItem);
  void cloneItem(QualendarItem);
  void editItem(QualendarItem);
  void removeItem(QualendarItem);
  void exceptEvent(const EffectiveEvent &);
  void done();

 private slots:
  void beamClicked();
  void cloneClicked();
  void copyClicked();
  void editClicked();
  void deleteClicked();
  void linkSelected(QString);
  void keyPressed(QKeyEvent*);
  void exceptionClicked();

 protected:
  void keyPressEvent(QKeyEvent *);

 private:
  void setEvent(const EffectiveEvent &);
  void setTask(const QualendarTask &);
  QString dayString(QDate);
  QualendarItem item;

  MyTextBrowser *browser;
  QValueList<QString> pathList;
};

#endif // EVENTVIEW_H
