/*
 * Copyright (C) 2003 ichitokumei
 * 
 * Derived from qtopia-free-1.5.0/datebook/main.cpp
 * 
 * The main function.
 */

/**********************************************************************
** Copyright (C) 2000-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qtopia Environment.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#include "qualendar.h"
#include <qpe/qpeapplication.h>
#include <qwsevent_qws.h>


// from embeddedkonsole-ja. copyright ?

class EscQPEApplication : public QPEApplication {
 public:
  EscQPEApplication(int &argc, char **argv) : QPEApplication(argc, argv) {
  }
  bool qwsEventFilter(QWSEvent *e) {
    if (e->type == QWSEvent::Key) {
      QWSKeyEvent *ke = (QWSKeyEvent *) e;
      if (ke->simpleData.keycode == Qt::Key_Escape &&
	  ke->simpleData.is_press) {
	return QApplication::qwsEventFilter(e);
      }
    }
    return QPEApplication::qwsEventFilter(e);
  }
};


int main( int argc, char **argv )
{
  EscQPEApplication a(argc, argv);

  Qualendar e;
  QObject::connect(&a, SIGNAL(flush()), &e, SLOT(flush()));
  QObject::connect(&a, SIGNAL(reload()), &e, SLOT(reload()));

  a.showMainWidget(&e);

  return a.exec();
}
