#include "qualendarcategory.h"

#include "config.h"
#ifdef DBISBOX
# include <sl/slcategoryselect.h>
# include <sl/slcategories.h>
#else
# include <qpe/categoryselect.h>
# include <qpe/categories.h>
//using namespace SlCategory;
#endif

class QualendarCategoriesPrivate {
public:
#ifdef DBISBOX
  SlCategories *categories;
#else
  Categories *categories;
#endif
};

QualendarCategories::QualendarCategories() {
  d = new QualendarCategoriesPrivate;
#ifdef DBISBOX
  d->categories = new SlCategories;
#else
  d->categories = new Categories;
#endif
}
QualendarCategories::~QualendarCategories() {
  delete d->categories;
  delete d;
}

bool QualendarCategories::save() const {
#ifdef DBISBOX
  return true;
#else
  return d->categories->save(categoryFileName());
#endif
}

bool QualendarCategories::load() {
#ifdef DBISBOX
  return d->categories->open();
#else
  return d->categories->load(categoryFileName());
#endif
}

QString QualendarCategories::label(const QString &s, int id) const {
#ifdef DBISBOX
  return d->categories->label(id);
#else
  return d->categories->label(s, id);
#endif
}
QStringList QualendarCategories::labels(const QString &s) const {
  return d->categories->labels(s);
}
int QualendarCategories::id(const QString&t, const QString& s) const {
#ifdef DBISBOX
  return d->categories->id(s);
#else
  return d->categories->id(t, s);
#endif
}

int QualendarCategories::addCategory(const QString &appName, 
									 const QString &catName) {
#ifdef DBISBOX
  return d->categories->addCategory(catName);
#else
  return d->categories->addCategory(appName, catName);
#endif
}
bool QualendarCategories::removeCategory( const QString &appName, 
										  const QString &catName) {
#ifdef DBISBOX
  return d->categories->removeCategory(catName);
#else
  return d->categories->removeCategory(appName, catName);
#endif
}
bool QualendarCategories::renameCategory( const QString &appName,
										  const QString &oldName,
										  const QString &newName ) {
#ifdef DBISBOX
  return d->categories->renameCategory(oldName, newName);
#else
  return d->categories->renameCategory(appName, oldName, newName);
#endif
}
