#include "qualendareventdb.h"

#include <qapplication.h>
#include <qfileinfo.h>
#include <qpe/alarmserver.h>

QualendarEventDB::QualendarEventDB() {
}

QualendarEventDB::~QualendarEventDB() {
}

bool QualendarEventDB::nextAlarm(const Event &ev, QDateTime& when, int& warn) {
  QDateTime now = QDateTime::currentDateTime();
  if (ev.hasRepeat()) {
    QDateTime ralarm;
    if (nextOccurance(ev, now.date(), ralarm)) {
      ralarm = ralarm.addSecs(-ev.alarmTime()*60);
      if (ralarm > now) {
	when = ralarm;
	warn = ev.alarmTime();
      } else if (nextOccurance(ev, now.date().addDays(1), ralarm)) {
	ralarm = ralarm.addSecs(-ev.alarmTime()*60);
	if (ralarm > now) {
	  when = ralarm;
	  warn = ev.alarmTime();
	}
      }
    }
  } else {
    warn = ev.alarmTime();
    when = ev.start().addSecs(-ev.alarmTime()*60);
  }
  return when > now;
}

void QualendarEventDB::addEventAlarm(const Event &ev) {
  QString binName = QFileInfo(qApp->argv()[0]).fileName();
  QDateTime when;
  int warn;
  if (nextAlarm(ev,when,warn))
    AlarmServer::addAlarm(when,
			   ("QPE/Application/" + binName).latin1(),
			   "alarm(QDateTime,int)", warn);
}

void QualendarEventDB::delEventAlarm(const Event &ev) {
  QString binName = QFileInfo(qApp->argv()[0]).fileName();
  QDateTime when;
  int warn;
  if (nextAlarm(ev,when,warn))
    AlarmServer::deleteAlarm(when,
			     ("QPE/Application/" + binName).latin1(),
			     "alarm(QDateTime,int)", warn);
}

void QualendarEventDB::setRid(Event &, const Event &, bool) {
}
void QualendarEventDB::setRinfo(Event &, int) {
}
