#ifndef _QUALENDAREVENTDB_H_
#define _QUALENDAREVENTDB_H_

#include <qpe/event.h>
#include "qualendardb.h"

class QualendarEventDB : public QualendarDB {
  Q_OBJECT
 public:
  QualendarEventDB();
  virtual ~QualendarEventDB() = 0;

  virtual QValueList<EffectiveEvent> 
    getEffectiveEvents(const QDate &from, const QDate &to) = 0;
  virtual QValueList<EffectiveEvent> 
    getEffectiveEvents(const QDateTime &start) = 0;
  virtual QValueList<Event> getRawRepeats() const = 0;

  // 20040111, specification changed.
  // just returns events from the list, doesn't divide into each day.
  virtual QValueList<Event> 
    getNonRepeatingEvents(const QDate &from, const QDate &to) const = 0;

  virtual bool nextOccurance(const Event &e, 
			     const QDate &from, QDateTime &next) = 0;
  virtual void setRid(Event &, const Event &, bool isNew);
  virtual void setRinfo(Event &, int);

  virtual void add(const Event &) = 0;
  virtual void edit(const Event &old, const Event &) = 0;
  virtual void remove(const Event &) = 0;

 protected:
  bool nextAlarm(const Event &, QDateTime &when, int &warn);
  void addEventAlarm(const Event &);
  void delEventAlarm(const Event &);
};

#endif // _QUALENDAREVENTDB_H_
