#include <sl/slzdb.h>
#include <qvaluelist.h>
#include "qualendareventdb.h"


class QualendarEventDBBox : public QualendarEventDB {
  Q_OBJECT
 public:
  QualendarEventDBBox();

  void reload();
  bool save();

  QValueList<EffectiveEvent> getEffectiveEvents(const QDate &from, const QDate &to);
  QValueList<EffectiveEvent> getEffectiveEvents(const QDateTime &start);
  QValueList<Event> getRawRepeats() const;
  QValueList<Event> getNonRepeatingEvents(const QDate &from, const QDate &to) const;

  void add(const Event &t); 
  void edit(const Event &old, const Event &t);
  void remove(const Event &t);

  bool nextOccurance(const Event &e, const QDate &from, QDateTime &next);

 private:
  void load();
  bool addEventRaw(const Event &, CardId);
  bool findCard(const Event &ev, int &i, CardId &cardId, QString op);
  Event toEvent(SlZDataBase *, CardId);
  SlZDataBase *openForWrite(); 

  QValueList<Event> eventList, repeatEvents;
  QValueList<CardId> eventCardIds, repeatCardIds;
};

