#include "config.h"
#include "qualendarsysdep.h"
#include "qualendardb.h"

#include <qpe/event.h>

#ifdef SHARP
#include <fcntl.h>
#include <sys/ioctl.h>
#include <sl/sldevinfo.h>
#include <sl/slsoundconf.h>
#include <asm/sharp_char.h>
#else
#include <qpe/sound.h>
#endif
#ifdef DBISBOX
#include "qualendareventdbbox.h"
#include "qualendartaskdbbox.h"
#endif

QualendarEventDB *QualendarSysdep::eventDB() {
#ifdef DBISBOX 
  return new QualendarEventDBBox();
#endif
}
QualendarTaskDB *QualendarSysdep::taskDB() {
#ifdef DBISBOX 
  return new QualendarTaskDBBox();
#endif
}

QString QualendarSysdep::deviceName() {
#ifdef SHARP
  return SlDeviceInfo::getProductName();
#endif
}

QString QualendarSysdep::type() {
#ifdef DBISBOX
  return "box";
#elif defined(A300)
  return "a300";
#else 
  return "xml";
#endif
}

QString QualendarSysdep::todoBin() {
#if defined(DBISBOX) || defined(A300)
  return "todolist";
#else
  return "qpetodo";
#endif
}

void QualendarSysdep::playScheduleAlarm() {
#ifdef SHARP
  SlSoundConf::play(SlSoundConf::ScheduleAlarm, true);
#else
  Sound::soundAlarm();
#endif
}

void QualendarSysdep::setLED(bool b) {
#ifdef SHARP
  int fd = open("/dev/sharp_led", O_WRONLY);
  sharp_led_status st;
  st.which = SHARP_LED_SALARM;
  if (b)
    st.status = LED_SALARM_ON;
  else
    st.status = LED_SALARM_OFF;
  ioctl(fd, SHARP_LED_SETSTATUS, &st);
#endif
}
