#include "qualendartask.h"

Qtopia::UidGen QualendarTask::sUidGen;

QualendarTask::QualendarTask() : 
  Record(), 
  comp(false), pri(3), 
  sD(QDate(2004, 1, 1)), dD(QDate(2004, 1, 1)), fD(QDate(2004, 1, 1)), 
  hDD(false), hSD(false) {
}

void QualendarTask::setCompleted(bool b) {
  comp = b;
}
void QualendarTask::setPriority(int i) {
  pri = i;
}
void QualendarTask::setDescription(QString s) {
  desc = s;
}
void QualendarTask::setDueDate(QDate d, bool b) {
  dD = d;
  hDD = b;
}
void QualendarTask::setStartDate(QDate d, bool b) {
  sD = d;
  hSD = b;
}
void QualendarTask::setFinishDate(QDate d) {
  fD = d;
}
void QualendarTask::setNotes(QString s) {
  nts = s;
}

bool QualendarTask::isCompleted() const {
  return comp;
}
int QualendarTask::priority() const {
  return pri;
}
QString QualendarTask::description() const {
  return desc;
}
QDate QualendarTask::dueDate() const {
  return dD;
}
bool QualendarTask::hasDueDate() const {
  return hDD;
}
QDate QualendarTask::startDate() const {
  return sD;
}
bool QualendarTask::hasStartDate() const {
  return hSD;
}
QDate QualendarTask::finishDate() const {
  return fD;
}
QString QualendarTask::notes() const {
  return nts;
}
