#ifndef _QUALENDARTASK_H_
#define _QUALENDARTASK_H_

#include <qpe/palmtoprecord.h>

#include <qarray.h>
#include <qvaluelist.h>
#include <qstring.h>
#include <qdatetime.h>

/*
 * just a wrapper class
 */

class QualendarTask : public Qtopia::Record {
 public:
  QualendarTask();
  void setCompleted(bool);
  void setPriority(int);
  void setDescription(QString);
  void setDueDate(QDate, bool);
  void setStartDate(QDate, bool);
  void setFinishDate(QDate);
  void setNotes(QString);

  bool isCompleted() const;
  int priority() const;
  QString description() const;
  QDate dueDate() const;
  bool hasDueDate() const;
  QDate startDate() const;
  bool hasStartDate() const;
  QDate finishDate() const;
  QString notes() const;

 private:
  Qtopia::UidGen &uidGen() { return sUidGen; }
  static Qtopia::UidGen sUidGen;

  bool comp;
  int pri;
  QString desc, nts;
  QDate sD, dD, fD;
  bool hSD, hDD;
};

#endif // _QUALENDARTASK_H_
