#ifndef _QUALENDARTASKDBBOX_H_
#define _QUALENDARTASKDBBOX_H_

#include <sl/slzdb.h>
#include "qualendartaskdb.h"

class QualendarTaskDBBox : public QualendarTaskDB {
  Q_OBJECT
 public:
  QualendarTaskDBBox();

  void reload();
  bool save();

  const QValueList<QualendarTask> &getTasks() const;

  void add(const QualendarTask &t); 
  void remove(const QualendarTask &t);
  void edit(const QualendarTask &old, const QualendarTask &t);

 private:
  void load();
  bool addTaskRaw(const QualendarTask &, CardId);
  bool findCard(const QualendarTask &t, int &i, CardId &cardId, QString op);
  QualendarTask toTask(SlZDataBase *, CardId &cardId);
  bool editTaskBox(SlZDataBase *, CardId &cardId, const QualendarTask &);
  SlZDataBase *openForWrite(); 

  // QMap<CardId, QualendarTask> might be better.
  QValueList<QualendarTask> taskList;
  QValueList<CardId> idList;
};
#endif // _QUALENDARTASKDBBOX_H_
