#include "datepicker.h"
#include <qlayout.h>

DatePickerDialog::DatePickerDialog(QWidget *parent, const QDate &dt) 
  : QDialog(parent, "", true) {
    QVBoxLayout *l = new QVBoxLayout(this);
    picker = new DateBookMonth( this, 0, TRUE );
    l->addWidget(picker);
    y = dt.year();
    m = dt.month();
    d = dt.day();
    picker->setDate(y, m, d);
    connect( picker, SIGNAL( dateClicked( int, int, int ) ),
    	     this, SLOT( dateClicked( int, int, int ) ));
}

void DatePickerDialog::accept() {
  QDate dt = picker->selectedDate();
  y = dt.year(); 
  m = dt.month();
  d = dt.day();
  QDialog::accept();
}

void DatePickerDialog::dateClicked(int yr, int mt, int dy) {
  y = yr;
  m = mt;
  d = dy;
  accept();
}

