#include <time.h>
#include <qdatetime.h>
#include <qdir.h>
#include <qvaluelist.h>
#include "fileselectorbase.h"

class FileSelector : public FileSelectorBase {
  Q_OBJECT
  public:
  FileSelector(QDate date, QString dir, 
	       QWidget* parent = 0, const char* name = 0, 
	       bool modal = false, WFlags fl = 0);
  QString absName();
  QString currentDir();
 public slots:
  void slotFSChanged(int);
  void slotFind();
  void slotClicked();
  void slotBack();
  void slotForward();
  void slotDate();
  void redraw();
 protected:
  void keyPressEvent(QKeyEvent *);
 private:
  void searchForFiles(time_t start, time_t end, const char* path);
  void searchForFiles(QString str, const char* path);
  void searchForFiles();
  QValueList<QString> pathNameList;
  QDate d;
  QDir curDir;
};
