#include "mytextbrowser.h"

void MyTextBrowser::keyPressEvent(QKeyEvent* e) {
  int k = e->ascii();
  if ((k >= '0' && k <= '9') || k == 'h' || k == 'b' || k == 'd') {
    emit keyPressed(e);
  } else
    QTextBrowser::keyPressEvent(e);
}

// hack from  http://lists.trolltech.com/qt-interest/2001-06/msg00992.html
void MyTextBrowser::setSource(const QString &name) {
  QString strTmp = name;
  if (strTmp.left(5) == "file:" || strTmp.left(5) == "http:") {
    emit linkSelected(strTmp.right(strTmp.length()));
  } else {
    QTextBrowser::setSource(name);
  }
}

// hack
int pressed_x, pressed_y;
void MyTextBrowser::viewportMousePressEvent( QMouseEvent* e )
{
  pressed_x = e->pos().x();
  pressed_y = e->pos().y();
  QTextBrowser::viewportMousePressEvent(e);
}

void MyTextBrowser::viewportMouseMoveEvent( QMouseEvent* e)
{
  if (QABS(e->pos().x() - pressed_x) < 5 && 
      QABS(e->pos().y() - pressed_y) < 5)
    return;
  pressed_x = -10000;
  pressed_y = -10000;
  QTextBrowser::viewportMouseMoveEvent(e);
}
