#ifndef QUALENDARFIND_H
#define QUALENDARFIND_H

#include <qvaluelist.h>
#include <qarray.h>
#include <qdatetime.h>

#include "../qualendarview.h"

class QLineEdit;
class QPushButton;
class QCheckBox;
class QListView;
class QListViewItem;
class QualendarItem;

/**
 * Find view.
 **/
class QualendarFind : public QualendarView {
  Q_OBJECT
 public:
  QualendarFind(QWidget *parent, const char *name, 
		QArray<QualendarDB *>, QPopupMenu *);
  QString viewName() const;
  QString trViewName() const;
  QPixmap icon() const;
  QDate currentDate() const;
  void selectedDateTime(QDateTime &, QDateTime &) const;
  void setupMenu();

 public slots:
  void setFilter(QMap<int, bool>, bool draw = true);
  void setDate(const QDate &, bool mustDraw = true);
  void loadConfig(); 
  void redraw();

 protected:
  void keyPressEvent(QKeyEvent *);
  QualendarItem selectedItem();

 private slots:
  void slotDoFind();
  void slotBackwardsToggled(bool);
  void slotStartDate();
  void slotEndDate();
  void slotEventSelected(QListViewItem *);

 private:
  void setDateButtons();
  void setDate2();

  QLineEdit *leKeyword;
  QPushButton *pbFind, *pbStart, *pbEnd;
  QCheckBox *cbCaseSensitive, *cbBackwards;
  QListView *lvResult;
  QPopupMenu *menu_;

  // configs
  int fontSize;

  QDate date_, date2;
  QMap<int, bool> filter_;
};

#endif // QUALENDARFIND_H
