#ifndef QUALENDARYEAR_H
#define QUALENDARYEAR_H

#include <qvaluelist.h>
#include <qarray.h>
#include <qdatetime.h>

#include "../qualendarview.h"

class QCheckBox;
class QSpinBox;
class QualendarMainArea;

/**
 * Year view.
 **/
class QualendarYear : public QualendarView {
  Q_OBJECT
 public:
  QualendarYear(QWidget *parent, const char *name, 
		QArray<QualendarDB *>, QPopupMenu *);
  QString viewName() const;
  QString trViewName() const;
  QPixmap icon() const;
  QDate currentDate() const;
  void selectedDateTime(QDateTime &, QDateTime &) const;
  void setupMenu();

 public slots:
  void setFilter(QMap<int, bool>, bool draw = true);
  void setDate(const QDate &, bool mustDraw = true);
  void loadConfig(); 
  void redraw();

 protected:
  void resizeEvent(QResizeEvent *);
  void keyPressEvent(QKeyEvent *);

 private slots:
  void slotSpinYear();
  void slotB();
  void slotF();
  void paintMainArea();
  void mainAreaMouseEvent(QMouseEvent *);

 private:
  void setHighlighted(QDate, bool);
  QSpinBox *sbYear;
  QCheckBox *cbFirstHalf;
  QualendarMainArea *mainArea;
  QPopupMenu *menu_;
  bool ignoreSignal;
  uint dw, dh;
  bool wide;

  // configs
  QDate date_;
  QMap<int, bool> filter_;
};

#endif // QUALENDARYEAR_H
