#ifndef QUALENDARUTIL_H
#define QUALENDARUTIL_H

#include <qdialog.h>
#include <qdir.h>
#include "qualendarutilbase.h"

class QCheckBox;
class QListBox;
class QLabel;

class QualendarUtil : public QualendarUtilBase {
  Q_OBJECT

public:
  QualendarUtil();
  void saveSettings();
  void loadSettings();
public slots:
  void slotSettings();
  void slotBackup();
  void slotRecover();
protected slots: 
  void setDocument(const QString &);

private: 
    bool aPreset;    // have everything set to alarm?
    int presetTime;  // the standard time for the alarm
    int startTime;
    bool ampm;
    bool onMonday;

    bool todoStart, todoDue, 
      todoBetween, todoBetweenStart, todoBetweenDue, 
      todoToday, todoTodayAfterStart;
    bool spaceReturn;
    QString app;
};

class BackupDialog : public QDialog {
  Q_OBJECT
 public:
  BackupDialog();
  enum { RAM, SD };
  bool box(); 
  int sd();
 private slots:
  void slotSD();
 private:
  QLabel *label;
  QCheckBox *cbBOX, *cbSD;
};

class RecoverDialog : public QDialog {
  Q_OBJECT
 public:
  RecoverDialog();
  QString srcDir();
  bool box();
 private slots:
  void slotRefresh();
private:
  QDir dir;

  QCheckBox *cbBOX, *cbSD;
  QListBox *lb;
};

#endif // QUALENDARUTIL_H
